Get an injection
curl --request GET \
--url https://api.hi-doctor.ai/v1/users/journal/injections/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hi-doctor.ai/v1/users/journal/injections/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hi-doctor.ai/v1/users/journal/injections/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000007",
"created_at": "2026-08-02T11:43:49.842972Z",
"updated_at": "2026-08-02T11:43:49.842973Z",
"medication": "semaglutide",
"dose": "1 mg",
"injected_at": "2026-07-27T08:00:00Z",
"injection_site": "abdomen",
"note": "Weekly dose completed"
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid"
}
]
}{
"detail": "No Consultation matches the given query."
}Progress
Get an injection
Self-scoped.
GET
/
v1
/
users
/
journal
/
injections
/
{id}
/
Get an injection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Maximum string length:
64Maximum string length:
80Available options:
abdomen, thigh, upper_arm ⌘I